Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class OriginatorIdentifierOrKey

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cms.OriginatorIdentifierOrKey

All Implemented Interfaces:
  DEREncodable

public class OriginatorIdentifierOrKey
extends ASN1Encodable

Constructor Summary
`OriginatorIdentifierOrKey(ASN1OctetString id)`
`OriginatorIdentifierOrKey(DERObject id)`
`OriginatorIdentifierOrKey(IssuerAndSerialNumber id)`
`OriginatorIdentifierOrKey(OriginatorPublicKey id)`

Method Summary
`DEREncodable` | `getId()`
`static OriginatorIdentifierOrKey` | `getInstance(ASN1TaggedObject o, boolean explicit)` return an OriginatorIdentifierOrKey object from a tagged object.
`static OriginatorIdentifierOrKey` | `getInstance(java.lang.Object o)` return an OriginatorIdentifierOrKey object from the given object.
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OriginatorIdentifierOrKey

    public OriginatorIdentifierOrKey(IssuerAndSerialNumber id)

### OriginatorIdentifierOrKey

    public OriginatorIdentifierOrKey(ASN1OctetString id)

### OriginatorIdentifierOrKey

    public OriginatorIdentifierOrKey(OriginatorPublicKey id)

### OriginatorIdentifierOrKey

    public OriginatorIdentifierOrKey(DERObject id)

Method Detail

### getInstance

    public static OriginatorIdentifierOrKey getInstance(ASN1TaggedObject o,
                                                        boolean explicit)

  return an OriginatorIdentifierOrKey object from a tagged object.
  Parameters:
    `o` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static OriginatorIdentifierOrKey getInstance(java.lang.Object o)

  return an OriginatorIdentifierOrKey object from the given object.
  Parameters:
    `o` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getId

    public DEREncodable getId()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       OriginatorIdentifierOrKey ::= CHOICE {
           issuerAndSerialNumber IssuerAndSerialNumber,
           subjectKeyIdentifier [0] SubjectKeyIdentifier,
           originatorKey [1] OriginatorPublicKey
       }

       SubjectKeyIdentifier ::= OCTET STRING

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD